/**
 * TODO Описание класса и его назначения.
 * @author Constantiner (constantiner@gmail.com)
 * @version 03.02.2006
 */

import mx.containers.ScrollPane;
import mx.utils.Delegate;

import com.xfactorstudio.xml.xpath.XPath;

class constantiner.imageViewer.Controller
{
	/**
	 * TODO описать данное свойство
	 */
	private var pane:ScrollPane;
	
	/**
	 * TODO описать данное свойство
	 */
	private var config:XML;
	
	/**
	 * TODO описать данное свойство
	 */
	private var imageArray:Array;
	
	/**
	 * TODO описать данное свойство
	 */
	private var position:Number;
	
	/**
	* Конструктор.
	*/
	public function Controller (pane:ScrollPane, prevBtn:mx.controls.Button, nextBtn:mx.controls.Button, configName:String)
	{
		this.pane = pane;
		prevBtn.addEventListener ("click", Delegate.create (this, onPrev));
		nextBtn.addEventListener ("click", Delegate.create (this, onNext));
		loadXMLAsync (configName);
	}
	
	/**
	 * TODO Необходимо описать данный метод.
	 * @param
	 * @return
	 */
	private function onNext ():Void
	{
		position ++;
		if (position >= imageArray.length)
		{
			position = 0;
		}
		setPosition (position);
	}
	
	/**
	 * TODO Необходимо описать данный метод.
	 * @param
	 * @return
	 */
	private function onPrev ():Void
	{
		position --;
		if (position < 0)
		{
			position = imageArray.length - 1;
		}
		setPosition (position);
	}
	
	/**
	 * TODO Необходимо описать данный метод.
	 * @param
	 * @return
	 */
	private function loadXMLAsync (configName:String):Void
	{
		config = new XML ();
		config.ignoreWhite = true;
		config.onLoad = Delegate.create (this, onXMLComplete);
		config.load (configName);
	}
	
	/**
	 * TODO Необходимо описать данный метод.
	 * @param
	 * @return
	 */
	private function onXMLComplete (successFlag:Boolean):Void
	{
		if (successFlag)
		{
			imageArray = XPath.selectNodes (config, "images/image/@src");
			position = 0;
			setPosition (position);
		}
	}
	
	/**
	 * TODO Необходимо описать данный метод.
	 * @param
	 * @return
	 */
	private function setPosition (position:Number):Void
	{
		var imageURL:String = imageArray [position].nodeValue;
		pane.contentPath = imageURL;
	}
	
	/**
	 * Вызываемый mtasc'ом главный метод приложения.
	 * @return Ничего.
	 */
	public static function main (pane:ScrollPane, prevBtn:mx.controls.Button, nextBtn:mx.controls.Button, configName:String) : Void 
	{
		var aController = new Controller (pane, prevBtn, nextBtn, configName);
	}
}